Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 337 - "unqualified hostname unknown" and "unable to qualify my own domainname"
Summary: "unqualified hostname unknown" and "unable to qualify my own domainname"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-08 01:41 UTC by walt
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-10 15:31:02 UTC


Attachments (Terms of Use)

Description walt 1998-12-08 01:41:35 UTC
I'm running RedHat 5.2, with libc-5.3.12-28.

I'm having problems with sendmail. I used /bin/mail to
try to send messages to "jari_aalto@poboxes.com".
Whenever sendmail processes the queue, it logs messages
like:

Dec  7 20:06:05 orbit sendmail[13764]: My unqualified \
host name (orbit) unknown; sleeping for retry

Dec  7 20:07:05 orbit sendmail[13764]: unable to qualify \
my own domain name (orbit) -- using short name

I'm using the stock sendmail.cf. Other files that might
be of interest are:

/etc/hosts:
127.0.0.1	loopback
0.0.0.0		orbit

/etc/resolv.conf:
domain trytel.com
nameserver 209.167.55.5
nameserver 209.167.55.15
nameserver 207.112.63.4

/etc/nsswitch.conf: (changed lines ONLY)
passwd:     files
shadow:     files
group:      files

hosts:      files dns

I'm using PPP to connect to two ISPs (and plan to add a
third soon). They are "trytel.com" (my primary ISP) and
"wonder.ca". Because I'm connecting to two, I hesitate
to define either one in the $j macro in sendmail.cf
or to specify a smart mail host with DS.

How can I get sendmail to send mail?

Comment 1 Derek Tattersall 1998-12-08 16:46:59 UTC
I cannot really tell from the information that you provided, but the
IP address for orbit (0.0.0.0) is what is causing your problem.  This
is not a valid IP address for a machine.  You might want to check
with your ISP to verify that you are using a valid address for orbit.


Note You need to log in before you can comment on or make changes to this bug.